package com.mvc.dao;

import com.mvc.entity.DicForwarder;
import com.mvc.entity.DicForwarderExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DicForwarderMapper {
    long countByExample(DicForwarderExample example);

    int deleteByExample(DicForwarderExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(DicForwarder record);

    int insertSelective(DicForwarder record);

    List<DicForwarder> selectByExample(DicForwarderExample example);

    DicForwarder selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") DicForwarder record, @Param("example") DicForwarderExample example);

    int updateByExample(@Param("record") DicForwarder record, @Param("example") DicForwarderExample example);

    int updateByPrimaryKeySelective(DicForwarder record);

    int updateByPrimaryKey(DicForwarder record);
}